Heads up, our devs are blazing ahead—docs are catching up, so some features might not be fully documented yet.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Discount

OrderDiscount

List order discounts

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts

List order discounts

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "orderDiscountUid": "text",
      "discountCode": "text",
      "type": "PERCENTAGE",
      "amount": 1,
      "name": "text",
      "origin": "LOYALTY",
      "validTo": "2026-01-01T00:00:00.000Z",
      "maxUsage": 1,
      "productSkus": [
        "text"
      ],
      "orderItemUids": [
        "text"
      ],
      "externalTransactionId": "text",
      "scope": "WHOLE_ORDER",
      "discountReasonCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "campaignUid": "text"
    }
  ]
}

Add discount to order

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts

Add discounts to an order.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Body
discountCodestringOptional
typestring · enumOptionalPossible values:
amountintegerOptional
originstring · enumRequiredPossible values:
namestringOptional
productSkusstring[]Optional
validTostring · date-timeOptional
maxUsageintegerOptional
orderItemUidstringOptionalPattern: ^[A-Za-z0-9-_]+
discountReasonCodestringOptional
orderDiscountUidstringOptionalPattern: ^[A-Za-z0-9-_]+
campaignUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
orderDiscountUidstringRequiredPattern: ^[A-Za-z0-9-_]+
discountCodestringRequired
typestring · enumRequiredPossible values:
amountintegerRequired
namestringRequired
originstring · enumRequiredPossible values:
validTostring · date-timeRequired
maxUsageintegerRequired
productSkusstring[]Required
orderItemUidsstring[]Required
externalTransactionIdstringRequired
scopestring · enumRequiredPossible values:
discountReasonCodestringOptional
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
campaignUidstringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 257

{
  "discountCode": "text",
  "type": "PERCENTAGE",
  "amount": 1,
  "origin": "LOYALTY",
  "name": "text",
  "productSkus": [
    "text"
  ],
  "validTo": "2026-01-01T00:00:00.000Z",
  "maxUsage": 1,
  "orderItemUid": "text",
  "discountReasonCode": "text",
  "orderDiscountUid": "text",
  "campaignUid": "text"
}
201

Example response

{
  "orderDiscountUid": "text",
  "discountCode": "text",
  "type": "PERCENTAGE",
  "amount": 1,
  "name": "text",
  "origin": "LOYALTY",
  "validTo": "2026-01-01T00:00:00.000Z",
  "maxUsage": 1,
  "productSkus": [
    "text"
  ],
  "orderItemUids": [
    "text"
  ],
  "externalTransactionId": "text",
  "scope": "WHOLE_ORDER",
  "discountReasonCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "campaignUid": "text"
}

Get order discount details

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}

Get order discount details.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderDiscountUidstringRequired

Reference to an order discount.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
orderDiscountUidstringRequiredPattern: ^[A-Za-z0-9-_]+
discountCodestringRequired
typestring · enumRequiredPossible values:
amountintegerRequired
namestringRequired
originstring · enumRequiredPossible values:
validTostring · date-timeRequired
maxUsageintegerRequired
productSkusstring[]Required
orderItemUidsstring[]Required
externalTransactionIdstringRequired
scopestring · enumRequiredPossible values:
discountReasonCodestringOptional
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
campaignUidstringRequiredPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "orderDiscountUid": "text",
  "discountCode": "text",
  "type": "PERCENTAGE",
  "amount": 1,
  "name": "text",
  "origin": "LOYALTY",
  "validTo": "2026-01-01T00:00:00.000Z",
  "maxUsage": 1,
  "productSkus": [
    "text"
  ],
  "orderItemUids": [
    "text"
  ],
  "externalTransactionId": "text",
  "scope": "WHOLE_ORDER",
  "discountReasonCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "campaignUid": "text"
}

Update order discount

put
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}

Update order discount

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderDiscountUidstringRequired

Reference to an order discount.

Pattern: ^[A-Za-z0-9-_]+
Body
discountCodestringOptional
typestring · enumOptionalPossible values:
amountintegerOptional
originstring · enumOptionalPossible values:
namestringOptional
productSkusstring[]Optional
validTostring · date-timeOptional
maxUsageintegerOptional
orderItemUidstringOptionalPattern: ^[A-Za-z0-9-_]*
discountReasonCodestringOptional
Responses
200

Example response

application/json
orderDiscountUidstringRequiredPattern: ^[A-Za-z0-9-_]+
discountCodestringRequired
typestring · enumRequiredPossible values:
amountintegerRequired
namestringRequired
originstring · enumRequiredPossible values:
validTostring · date-timeRequired
maxUsageintegerRequired
productSkusstring[]Required
orderItemUidsstring[]Required
externalTransactionIdstringRequired
scopestring · enumRequiredPossible values:
discountReasonCodestringOptional
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
campaignUidstringRequiredPattern: ^[A-Za-z0-9-_]*
put/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 210

{
  "discountCode": "text",
  "type": "PERCENTAGE",
  "amount": 1,
  "origin": "LOYALTY",
  "name": "text",
  "productSkus": [
    "text"
  ],
  "validTo": "2026-01-01T00:00:00.000Z",
  "maxUsage": 1,
  "orderItemUid": "text",
  "discountReasonCode": "text"
}
200

Example response

{
  "orderDiscountUid": "text",
  "discountCode": "text",
  "type": "PERCENTAGE",
  "amount": 1,
  "name": "text",
  "origin": "LOYALTY",
  "validTo": "2026-01-01T00:00:00.000Z",
  "maxUsage": 1,
  "productSkus": [
    "text"
  ],
  "orderItemUids": [
    "text"
  ],
  "externalTransactionId": "text",
  "scope": "WHOLE_ORDER",
  "discountReasonCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "campaignUid": "text"
}

Delete order discount

delete
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}

Delete order discount.

Authorizations
AuthorizationstringRequired

Accesstoken recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
orderDiscountUidstringRequired

Reference to an order discount.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/discounts/{orderDiscountUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?